(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('highlight-on-hover', ['exports', '@angular/core'], factory) :
    (factory((global['highlight-on-hover'] = {}),global.ng.core));
}(this, (function (exports,core) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/directives/highlighter/highlighter.directive.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var HighlighterDirective = /** @class */ (function () {
        function HighlighterDirective(el) {
            this.el = el;
        }
        /**
         * @return {?}
         */
        HighlighterDirective.prototype.onMouseEnter = /**
         * @return {?}
         */
            function () {
                this.highlight(this.highlightColor || this.defaultColor || 'yellow');
            };
        /**
         * @return {?}
         */
        HighlighterDirective.prototype.onMouseLeave = /**
         * @return {?}
         */
            function () {
                this.highlight(null);
            };
        /**
         * @private
         * @param {?} color
         * @return {?}
         */
        HighlighterDirective.prototype.highlight = /**
         * @private
         * @param {?} color
         * @return {?}
         */
            function (color) {
                this.el.nativeElement.style.backgroundColor = color;
            };
        HighlighterDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[appHighlight]'
                    },] }
        ];
        /** @nocollapse */
        HighlighterDirective.ctorParameters = function () {
            return [
                { type: core.ElementRef }
            ];
        };
        HighlighterDirective.propDecorators = {
            defaultColor: [{ type: core.Input }],
            highlightColor: [{ type: core.Input, args: ['appHighlight',] }],
            onMouseEnter: [{ type: core.HostListener, args: ['mouseenter',] }],
            onMouseLeave: [{ type: core.HostListener, args: ['mouseleave',] }]
        };
        return HighlighterDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/components/directives/highlighter/highlighter.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var HighlighterModule = /** @class */ (function () {
        function HighlighterModule() {
        }
        HighlighterModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [HighlighterDirective],
                        imports: []
                    },] }
        ];
        return HighlighterModule;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: public-api.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: highlight-on-hover.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.HighlighterModule = HighlighterModule;
    exports.ɵa = HighlighterDirective;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=highlight-on-hover.umd.js.map